package it.integry.integrywmsnative.core.settings;

import java.util.List;

import it.integry.integrywmsnative.core.REST.model.AvailableCodMdepsDTO;
import it.integry.integrywmsnative.core.model.Azienda;
import it.integry.integrywmsnative.core.model.MtbDepo;
import it.integry.integrywmsnative.core.model.MtbDepoPosizione;

public class DBSettingsModel {

    private List<String> availableProfiles = null;
    private List<AvailableCodMdepsDTO> availableCodMdep = null;
    private List<MtbDepoPosizione> availablePosizioni = null;

    private Azienda datiAzienda = null;

    private boolean enableCheckPartitaMagCheckPickingV;
    private boolean flagMultiClienteOrdV;
    private String defaultCodAnag;
    private String defaultCausaleRettificaGiacenze;

    public List<String> getAvailableProfiles() {
        return availableProfiles;
    }

    public List<MtbDepoPosizione> getAvailablePosizioni() {
        return availablePosizioni;
    }

    public void setAvailableProfiles(List<String> availableProfiles) {
        this.availableProfiles = availableProfiles;
    }

    public void setAvailablePosizioni(List<MtbDepoPosizione> availablePosizioni) {
        this.availablePosizioni = availablePosizioni;
    }

    public Azienda getDatiAzienda() {
        return datiAzienda;
    }

    public DBSettingsModel setDatiAzienda(Azienda datiAzienda) {
        this.datiAzienda = datiAzienda;
        return this;
    }

    public List<AvailableCodMdepsDTO> getAvailableCodMdep() {
        return availableCodMdep;
    }

    public void setAvailableCodMdep(List<AvailableCodMdepsDTO> availableCodMdep) {
        this.availableCodMdep = availableCodMdep;
    }

    public boolean isEnableCheckPartitaMagCheckPickingV() {
        return enableCheckPartitaMagCheckPickingV;
    }

    public DBSettingsModel setEnableCheckPartitaMagCheckPickingV(boolean enableCheckPartitaMagCheckPickingV) {
        this.enableCheckPartitaMagCheckPickingV = enableCheckPartitaMagCheckPickingV;
        return this;
    }

    public boolean isFlagMultiClienteOrdV() {
        return flagMultiClienteOrdV;
    }

    public DBSettingsModel setFlagMultiClienteOrdV(boolean flagMultiClienteOrdV) {
        this.flagMultiClienteOrdV = flagMultiClienteOrdV;
        return this;
    }

    public String getDefaultCodAnag() {
        return defaultCodAnag;
    }

    public DBSettingsModel setDefaultCodAnag(String defaultCodAnag) {
        this.defaultCodAnag = defaultCodAnag;
        return this;
    }

    public String getDefaultCausaleRettificaGiacenze() {
        return defaultCausaleRettificaGiacenze;
    }

    public DBSettingsModel setDefaultCausaleRettificaGiacenze(String defaultCausaleRettificaGiacenze) {
        this.defaultCausaleRettificaGiacenze = defaultCausaleRettificaGiacenze;
        return this;
    }
}
